# OpenLayers.Strategy.Fixed

A simple strategy that requests features once and never requests new data.

#### Inherits from

- OpenLayers.Strategy

Summary

OpenLayers.Strategy.Fixed | A simple strategy that requests features once and never requests new data.
Properties |
preload | {Boolean} Load data before layer made visible.
Constructor |
OpenLayers.Strategy.Fixed | Create a new Fixed strategy.
Functions |
activate | Activate the strategy: load data or add listener to load when visible
deactivate | Deactivate the strategy.
load | Tells protocol to load data and unhooks the visibilitychanged event
merge | Add all features to the layer.

### Properties

### preload

{Boolean} Load data before layer made visible. Enabling this may result in considerable overhead if your application loads many data layers that are not visible by default. Default is false.

### Constructor

### OpenLayers.Strategy.Fixed

Create a new Fixed strategy.

#### Parameters

options | {Object} Optional object whose properties will be set on the instance.

### Functions

### activate

> activate: function()

Activate the strategy: load data or add listener to load when visible

#### Returns

{Boolean} True if the strategy was successfully activated or false if the strategy was already active.

### deactivate

> deactivate: function()

Deactivate the strategy. Undo what is done in activate.

#### Returns

{Boolean} The strategy was successfully deactivated.

### load

> load: function( | options | )

Tells protocol to load data and unhooks the visibilitychanged event

#### Parameters

options | {Object} options to pass to protocol read.

### merge

> merge: function( | resp | )

Add all features to the layer. If the layer projection differs from the map projection, features will be transformed from the layer projection to the map projection.

#### Parameters

resp | {OpenLayers.Protocol.Response} The response object passed by the protocol.

> activate: function()

Activate the strategy: load data or add listener to load when visible

> deactivate: function()

Deactivate the strategy.

> load: function( | options | )

Tells protocol to load data and unhooks the visibilitychanged event

> merge: function( | resp | )

Add all features to the layer.
Abstract vector layer strategy class.
Protocols return Response objects to their users.
Close